Returns whether the default value of this parameter is a constant

- « ReflectionParameter::isDefaultValueAvailable

- ReflectionParameter::isOptional »

- PHP Manual
- ReflectionParameter
- Returns whether the default value of this parameter is a constant

# ReflectionParameter::isDefaultValueConstant

(PHP 5 >= 5.4.6, PHP 7, PHP 8)

ReflectionParameter::isDefaultValueConstant — Returns whether the default value of this parameter is a constant

### Description

public ReflectionParameter::isDefaultValueConstant(): bool

Returns whether the default value of this parameter is a constant.

### Parameters

This function has no parameters.

### Return Values

Returns `true` if the default value is constant, and `false` otherwise.

### See Also

- ReflectionParameter::getDefaultValueConstantName() - Returns the default value's constant name if default value is constant or null
- ReflectionParameter::isDefaultValueAvailable() - Checks if a default value is available